### Function

# Gtk IconViewForeachFunc

deprecated: 4.20

#### Declaration

    void
    (* GtkIconViewForeachFunc) (
      GtkIconView* icon_view,
      GtkTreePath* path,
      gpointer data
    )

#### Description [src]

A function used by `gtk_icon_view_selected_foreach()` to map all selected rows.

It will be called on every selected row in the view.

Deprecated since: 4.20

There is no replacement.

#### Parameters

`icon_view`

  Type: `GtkIconView`

  A `GtkIconView`.

  The data is owned by the caller of the function.

`path`

  Type: `GtkTreePath`

  The `GtkTreePath` of a selected row.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.